<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">

<div class="bs-callout bs-callout-info">
    &{'lelang_doc.petunjuk_pembuatan_doc_kualifikasi'}
    &{'lelang_doc.petunjuk_pembuatan_doc_kualifikasi_baba_1'}
</div>

<div class="alert alert-danger" id="msg-formSDP">
    &{'lelang_doc.no_tgl_doc_kualifikasi'}
</div>
<div class="alert alert-danger" id="msg-invalidDateSDP">
    &{'lelang_doc.isian_tgl_doc'}
</div>
#{form @lelang.DokumenCtr.dokKualifikasiSubmit(id), id:'form-cetak-sdp', enctype:"multipart/form-data", method:'POST', }
<table class="table table-sm">
    <tr>
        <th width="80px" class="bg-warning">&{'lelang_doc.no_doc_kualifikasi'} <span class="warning">*</span></th>
        <td width="100px">
            <input name="nomorSDP" type="text" class="form-control" value="${dok_lelang_content?.dll_nomorSDP}"/>
        </td>
    </tr>
    <tr>
        <th width="100" class="bg-warning">&{'lelang_doc.tgl_doc_kualifikasi'} <span class="warning">*</span></th>
        <td>
            <div class="input-group date datepicker width-normal">
                <input name="tglSDP" type="text" class="form-control datepicker" value="${dok_lelang_content.dll_tglSDP != null ? dok_lelang_content.dll_tglSDP.toDatepicker() : today.toDatepicker()}"/>
                <div class="input-group-append"><span class="input-group-text"><span class="fa fa-calendar"></span></span></div>
            </div>
        </td>
    </tr>
    <tr>
        <th width="80px" class="bg-warning">&{'lelang_doc.doc_kualifikasi'} <span class="warning">*</span></th>
        <td width="100px">
            <input id="dokKualifikasi" class="form-control" name="file" type="file" />
        </td>
    </tr>
</table>
<a href="javascript:void(0)" class="btn btn-success btn-sm btn-simpan" id="btn-cetak-dokumen" onclick="validateSDP();">
    <i class="fa fa-save"></i> &{'lelang_doc.upload_doc'}
</a>
#{/form}

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#msg-formSDP").hide();
        $("#msg-invalidDateSDP").hide();
    });

    function validateSDP(){
        var nomorSDP = $("input[name=\"nomorSDP\"]").val();
        var tanggalSDP = $("input[name=\"tglSDP\"]").val();
        var dok = $("#dokKualifikasi").val();

        if (nomorSDP == "" || tanggalSDP == "" || dok == ""){
            $("#msg-formSDP").show();
        } else {
            $("#msg-formSDP").hide();
            $("#msg-invalidDateSDP").hide();

            if(isValidDate(tanggalSDP)){
                $("#form-cetak-sdp").submit();
            }
            else{
                $("#msg-invalidDateSDP").show();
            }
        }
    }

    function isValidDate(dateString)
    {
        // First check for the pattern
        // if(!/^\d{1,2}\-\d{1,2}\-\d{4}$/.test(dateString))
        //   return false;

        // Parse the date parts to integers
        var parts = dateString.split(" ")[0].split("-");
        var day = parseInt(parts[0], 10);
        var month = parseInt(parts[1], 10);
        var year = parseInt(parts[2], 10);


        // Check the ranges of month and year
        if(year < 1000 || year > 3000 || month == 0 || month > 12)
            return false;

        var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

        // Adjust for leap years
        if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
        monthLength[1] = 29;

        // Check the range of the day
        return day > 0 && day <= monthLength[month - 1];
    };
</script>